Skip to content

List Tasks

GET
/api/v1/tasks/{database}/{schema}
curl --request GET \
--url https://example.com/api/v1/tasks/example/example

List all tasks in a schema.

Args: database: Database name schema: Schema name

Returns: TaskListResponse with list of tasks

Raises: HTTPException: If listing tasks fails

database
required
Database

Database name

string

Database name

schema
required
Schema

Schema name

string

Schema name

X-Environment-Id
Any of:
string

Successful Response

Media typeapplication/json
TaskListResponse

Response model for listing tasks.

object
tasks
required
Tasks

List of tasks

Array<object>
TaskInfo

Task information model.

object
name
required
Name

Task name

string
database_name
required
Database Name

Database name

string
schema_name
required
Schema Name

Schema name

string
owner
Any of:
string
comment
Any of:
string
warehouse
Any of:
string
schedule
Any of:
string
state
required
State

Task state (STARTED, SUSPENDED)

string
definition
Any of:
string
condition
Any of:
string
allow_overlapping_execution
Allow Overlapping Execution

Allow concurrent executions

boolean
error_integration
Any of:
string
last_committed_on
Any of:
string format: date-time
last_suspended_on
Any of:
string format: date-time
created_on
Any of:
string format: date-time
resumed_on
Any of:
string format: date-time
predecessor_tasks
Predecessor Tasks

List of predecessor task names

Array<string>
dependent_tasks
Dependent Tasks

List of dependent task names

Array<string>
task_timeout_minutes
Any of:
integer
suspend_task_after_num_failures
Suspend Task After Num Failures

Auto-suspend after N failures

integer
default: 10
task_auto_retry_attempts
Any of:
integer
target_completion_interval
Any of:
string
database_name
required
Database Name

Database name

string
schema_name
required
Schema Name

Schema name

string
total_count
required
Total Count

Total number of tasks

integer
Example
{
"tasks": [
{
"allow_overlapping_execution": false,
"suspend_task_after_num_failures": 10
}
]
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}